globus_thread_rmutex.h(3)

NAME
globus_thread_rmutex.h - Recursive Mutex.

SYNOPSIS

#include 'globus_common_include.h'
#include 'globus_thread.h'

  Data Structures

struct globus_rmutex_t
Recursive Mutex.

  Typedefs

typedef int globus_rmutexattr_t
Recursive mutex attribute.

  Functions

int globus_rmutex_init (globus_rmutex_t *rmutex, globus_rmutexattr_t *attr)
Initialize a recursive mutex.
int globus_rmutex_lock (globus_rmutex_t *rmutex)
Lock a recursive mutex.
int globus_rmutex_unlock (globus_rmutex_t *rmutex)
Unlock a recursive mutex.
int globus_rmutex_destroy (globus_rmutex_t *rmutex)
Destroy a recursive mutex.

Detailed Description

Recursive Mutex.

Author

Generated automatically by Doxygen for globus_common from the source code.